$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.106.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.106.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '1CF47FABD598ECEDB44CF42401B59EF68966F4700BD1DE542307015B62FEC330'
  checksumType = 'sha256'
  checksum64 = '1CF47FABD598ECEDB44CF42401B59EF68966F4700BD1DE542307015B62FEC330'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.106-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
